Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZXMLSchema Class Reference

## Public Member Functions
| __construct ()
| isInline ( $element)
| check ( $parent, $child)
| childrenRequired ( $element)
| hasAttributes ( $element)
| attributes ( $element)
| customAttributes ( $element)
| attrDefaultValue ( $tagName, $attrName)
| attrDefaultValues ( $tagName)
| exists ( $element)
| availableElements ()
| getClassesList ( $tagName)
| addAvailableClass ( $tagName, $class)
| addCustomAttribute ( $element, $attrName)

## Static Public Member Functions
static | instance ()

## Public Attributes
| $Schema

## Detailed Description

Definition at line 11 of file ezxmlschema.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLSchema::__construct | ( |  | ) |

Constructor

Definition at line 145 of file ezxmlschema.php.

## Member Function Documentation

## ◆ addAvailableClass()

eZXMLSchema::addAvailableClass | ( |  | $tagName,
|  |  | $class
| ) |  |

Definition at line 410 of file ezxmlschema.php.

## ◆ addCustomAttribute()

eZXMLSchema::addCustomAttribute | ( |  | $element,
|  |  | $attrName
| ) |  |

Definition at line 418 of file ezxmlschema.php.

## ◆ attrDefaultValue()

eZXMLSchema::attrDefaultValue | ( |  | $tagName,
|  |  | $attrName
| ) |  |

Definition at line 359 of file ezxmlschema.php.

## ◆ attrDefaultValues()

eZXMLSchema::attrDefaultValues | ( |  | $tagName | ) |

Definition at line 367 of file ezxmlschema.php.

## ◆ attributes()

eZXMLSchema::attributes | ( |  | $element | ) |

Definition at line 332 of file ezxmlschema.php.

## ◆ availableElements()

eZXMLSchema::availableElements | ( |  | ) |

Definition at line 397 of file ezxmlschema.php.

## ◆ check()

eZXMLSchema::check | ( |  | $parent,
|  |  | $child
| ) |  |

Checks if one element is allowed to be a child of another

Parameters

  $parent | parent element: DOMNode or string
  $child | child element: DOMNode or string

Returns
  true if elements match schema
  false if elements don't match schema
  null in case of errors

Definition at line 269 of file ezxmlschema.php.

References isInline().

## ◆ childrenRequired()

eZXMLSchema::childrenRequired | ( |  | $element | ) |

Definition at line 316 of file ezxmlschema.php.

## ◆ customAttributes()

eZXMLSchema::customAttributes | ( |  | $element | ) |

Definition at line 337 of file ezxmlschema.php.

## ◆ exists()

eZXMLSchema::exists | ( |  | $element | ) |

Definition at line 375 of file ezxmlschema.php.

## ◆ getClassesList()

eZXMLSchema::getClassesList | ( |  | $tagName | ) |

Definition at line 402 of file ezxmlschema.php.

## ◆ hasAttributes()

eZXMLSchema::hasAttributes | ( |  | $element | ) |

Definition at line 324 of file ezxmlschema.php.

## ◆ instance()

static eZXMLSchema::instance | ( |  | ) |
| static

Returns a shared instance of the eZXMLSchema class.

Returns
  eZXMLSchema

Definition at line 223 of file ezxmlschema.php.

Referenced by eZXMLInputParser\__construct(), eZXMLOutputHandler\outputText(), and eZSimplifiedXMLEditOutput\performOutput().

## ◆ isInline()

eZXMLSchema::isInline | ( |  | $element | ) |

Definition at line 234 of file ezxmlschema.php.

Referenced by check().

## Member Data Documentation

## ◆ $Schema

eZXMLSchema::$Schema

Definition at line 13 of file ezxmlschema.php.

The documentation for this class was generated from the following file:

- ezxmlschema.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.